#!/bin/bash
# SPDX-License-Identifier: BSD-3-Clause
# mrv2
# Copyright Contributors to the mrv2 Project. All rights reserved.

if [[ $BASH_SOURCE != $0 ]]; then
    dir=$BASH_SOURCE
else
    dir=$0
fi


symlink=`readlink ${dir}`

if [ "$symlink" != "" ]; then
    dir="$symlink"
    dir=${dir%/*}
else
# Find directory where mrv2 bash script resides
    dir=${dir%/*}
fi

# If running from current directory, get full path
if [[ "$dir" == "." ]]; then
    dir=$PWD
fi


#
# Platform specific directory for mrV2
#
dir=${dir%/*}

#
# Add mrv2's lib directory first to LD_LIBRARY_PATH (Linux)
# or DYLD_FALLBACK_LIBRARY_PATH (macOS)
#
export LD_LIBRARY_PATH="${dir}/lib64:${dir}/lib:${LD_LIBRARY_PATH}:/usr/lib64:/usr/lib"
export DYLD_FALLBACK_LIBRARY_PATH="${LD_LIBRARY_PATH}"
export PYTHONPATH="${dir}/lib/python3.11:${dir}/lib/python3.11/lib-dynload:${dir}/lib/python3.11/site-packages:${HOME}/.local/lib/python3.11/site_packages:${PYTHONPATH}"

#
# For Linux, we now default to Wayland that rocks!
#
if [[ "$XDG_SESSION_TYPE" == "wayland" && "$FLTK_BACKEND" == "" ]]; then
    echo "To run under XWayland, set:"
    echo ""
    echo "   export FLTK_BACKEND=x11"
    echo ""
fi
